DESCRIPTION = "a call recording application"
HOMEPAGE = "none"
SECTION = "system/applications"
LICENSE = "GPLv3 or later"
SRCNAME = "callrec"
DEPENDS += " gtk+ alsa-utils-aplay"
PV = "0.2.0"
PR = "r0"

S = "${WORKDIR}/trunk"
inherit autotools 

SRC_URI = "file://../trunk"
FILES_${PN} += "${datadir} ${sysconfdir}"

pkg_postinst_callrec_append() {
	#!/bin/sh
	files0="gsmhandset.state"
	files1="gsmheadset.state"
	files2="gsmspeakerout.state"
	state_dir="/usr/share/openmoko/scenarios"
	callrec_dir="/usr/share/callrec"
	
	for index in 0 1 2
	do
 		eval filename=\${files${index}}
		current_file=${state_dir}/${filename}
		patched="0"
		
		if [ -r ${callrec_dir}/${filename} ]; then
			echo "Backup of ${filename} already exists"
			echo "Replacing ${filename} with callrec-${filename}"
			cp ${callrec_dir}/callrec-${filename} ${current_file}
		else
			echo "Backing up ${filename}"
			cp ${current_file} ${callrec_dir}/
			
			#should fix the patch first
			#echo "Patching ${filename}"
			#patch ${current_file} ${callrec_dir}/state.patch 
			#&& patched="1"
		fi
	
		if [ patched = "0" ]; then
			#echo "Failed patching ${filename}"
			echo "Replacing ${filename} with callrec-${filename}"
			echo "Backup is at ${callrec_dir}"
			cp ${callrec_dir}/callrec-${filename} ${current_file}
		fi
	done
}
pkg_prerm_callrec_append() {
	#!/bin/sh
	files0="gsmhandset.state"
	files1="gsmheadset.state"
	files2="gsmspeakerout.state"
	state_dir="/usr/share/openmoko/scenarios"
	
	for index in 0 1 2
	do
		eval filename=\${files${index}}
		current_file=${state_dir}/${filename}
		echo "Restoring ${filename} from backup"
		cp /usr/share/callrec/${filename} ${current_file}
		echo "Removing backups"
		rm /usr/share/callrec/${filename}
	done
}
