/*    callrec is a program that records calls on an openmoko.
 *    Copyright (C) 2009  Tom Hacohen (tom@stosb.com)
 *
 *    This file is a part of callrec
 * 
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>
#include <stdio.h>

#include "recording.h"
#include "ui_functions.h"

/**
 * btn_record_clicked_cb() - the record button clicked callback.
 * @button:	     The button who issued the event.
 * @callback_data:   User data sent.
 *
 * This is the record button's clicked callback.
 **/
/*FIXME: very weird WTF?! */
void
btn_record_clicked_cb(gpointer callback_data, GtkButton *button)
{	
	toggle_recording();
	
	ui_record_update(button, (GtkButton *) callback_data);
}

/**
 * btn_play_clicked_cb() - the play button clicked callback.
 * @button:	     The button who issued the event.
 * @callback_data:   User data sent.
 *
 * This is the play button's clicked callback.
 **/
void
btn_play_clicked_cb(GtkButton *button, gpointer callback_data)
{	
	toggle_playing();
	
	ui_play_update(button);
}